Subject: Re: 27.1; Shell mode performs extremely poorly in Linux-libre 5.10.20

From: Mark H Weaver <[email-masked]>
Date: Sat, 06 Mar 2021 21:39:54 -0500

Mark H Weaver <[email-masked]> writes:

> I've skimmed the list of changes between Linux 5.10.19 and 5.10.20, and
> found these two commits that might be relevant:
>
> tty: implement read_iter
> <https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=v5.10.20&id=41c6f6b926d0e712d0321f8a8f6511fea748e814>
>
> tty: convert tty_ldisc_ops 'read()' function to take a kernel pointer
> <https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=v5.10.20&id=279e54536ddbb4dbd337fca74926b68651160043>
>
> These changes are also included in Linux-libre 5.11.3 (the newest
> release), but I haven't yet tried that version.
>
> I'm currently building a variant of Linux-libre 5.10.20 with these two
> commits reverted, to see if that makes the problem go away, and I will
> report back when I have those results.

Reverting the two commits cited above fixes the problem.

       Mark